FROM docker.io/hugomods/hugo:latest AS build
WORKDIR /src
COPY . .
RUN git submodule update --init --recursive --progress
RUN hugo

FROM nginx:alpine
COPY --from=build /src/public /usr/share/nginx/html